Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030936
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2015-09-25 14:362015-10-05 17:04
ReporterVictorVillarView Statuspublic 
Assigned Todmiguelez 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision9ee648f47df5
ProjectionnoneETAnoneTarget Version3.0PR15Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030936: Wrong cost after executing the Price Correction Background

DescriptionWrong cost after executing the Price Correction Background
Steps To ReproduceAs group admin role,
  Go to Purchase Order:
    create a new one for a new product. 5 Ud. 60€/Ud.
 Create the goods receipt related.
Launch the Costing Background process. Average cost: 60
Create the Purchase invoice related. 50€/Ud
Launch the 'Price Correction Background'
Create the Return to Vendor. Qty: 3. 60€/Ud.
Create the Return to vendor shipment.
Launch the Costing Background Process. Unit Cost: 50. OK
Create the Purchase Invoice related with the RTV Shipment. 50€Ud.
Launch the 'Price Correction Background. The Cost Adjustment generates a new costing = 200. This is wrong.

    
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00310493.0PR15Q3.2 closeddmiguelez Wrong cost after executing the Price Correction Background 

-  Notes
(0080686)
dmiguelez (developer)
2015-09-29 09:47

As group admin role
  Create a new Product for Organization F&B. It must of Product Type Item and Stocked = 'Y'
  Create a new record for this Product in the Price List Tab for Be Soft Drinker Price List with both Unit and List Price = 60
  Go to Purchase Order:
    create a new one for the new product. 5 Ud. 60€/Ud.
 Create the goods receipt related.
Launch the Costing Background process.
  Check in the Costing Tab of Product Window that Average cost: 60
Create the Purchase invoice related. Change the Net Unit Price to 50€/Ud
Launch the 'Price Correction Background' Process
Create the Return to Vendor. Qty: 3. 60€/Ud.
Create the Return to vendor shipment.
Launch the Costing Background Process. Check in the Transactions Tab, in Procut Window, that the last Transaction, ordered by Transaction Process date has Unit Cost: 50. OK
Create the Purchase Invoice related with the RTV Shipment. Change the Net Unit Price to 50€Ud.
Launch the 'Price Correction Background.
Check in both the Costing Tab and Transactions Tab of Product Window that this Price Correction Process has not modified the data.
(0080700)
hgbot (developer)
2015-09-29 13:12

Repository: erp/devel/pi
Changeset: 9ee648f47df57c516636c1937eb93081dc02f7e7
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Sep 28 18:10:02 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9ee648f47df57c516636c1937eb93081dc02f7e7 [^]

Fixes Issue 30936. Return Material flow should not be included
in Price Correction Process.
Also, make sure every Transaction that goes through this process
is set to no longer check Price Correction.

---
M src/org/openbravo/costing/PriceDifferenceProcess.java
---
(0080701)
vmromanos (developer)
2015-09-29 13:12

Code review + testing OK
(0080727)
hudsonbot (developer)
2015-09-29 22:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ebe9ebd06ddd [^]
Maturity status: Test
(0080833)
dmiguelez (developer)
2015-10-05 17:03

Opened to add Transplant

- Issue History
Date Modified Username Field Change
2015-09-25 14:36 VictorVillar New Issue
2015-09-25 14:36 VictorVillar Assigned To => Triage Finance
2015-09-25 14:36 VictorVillar Modules => Core
2015-09-25 14:36 VictorVillar Triggers an Emergency Pack => No
2015-09-25 14:36 VictorVillar Issue Monitored: networkb
2015-09-29 09:47 dmiguelez Note Added: 0080686
2015-09-29 12:54 vmromanos Status new => scheduled
2015-09-29 12:54 vmromanos Assigned To Triage Finance => dmiguelez
2015-09-29 13:11 vmromanos Target Version 3.0PR16Q1 => 3.0PR15Q4
2015-09-29 13:12 hgbot Checkin
2015-09-29 13:12 hgbot Note Added: 0080700
2015-09-29 13:12 hgbot Status scheduled => resolved
2015-09-29 13:12 hgbot Resolution open => fixed
2015-09-29 13:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9ee648f47df57c516636c1937eb93081dc02f7e7 [^]
2015-09-29 13:12 vmromanos Review Assigned To => vmromanos
2015-09-29 13:12 vmromanos Note Added: 0080701
2015-09-29 13:12 vmromanos Status resolved => closed
2015-09-29 22:42 hudsonbot Checkin
2015-09-29 22:42 hudsonbot Note Added: 0080727
2015-10-05 17:03 dmiguelez Note Added: 0080833
2015-10-05 17:03 dmiguelez Status closed => new
2015-10-05 17:03 dmiguelez Resolution fixed => open
2015-10-05 17:03 dmiguelez Status new => scheduled
2015-10-05 17:04 dmiguelez Status scheduled => resolved
2015-10-05 17:04 dmiguelez Resolution open => fixed
2015-10-05 17:04 dmiguelez Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker